﻿Imports Infragistics.UltraChart.Shared.Styles
Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Core.Layers
Imports Infragistics.UltraChart.Data

Public Class Form1
    Private seriesTemp As NumericTimeSeries
    Private seriesRespiration As NumericTimeSeries
    Private seriesWeight As NumericTimeSeries
    Private seriesHeight As NumericTimeSeries

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        BindChart()
    End Sub

    Private Sub BindChart()
        UltraChart1.ChartType = ChartType.Composite
        Dim area As New ChartArea()
        UltraChart1.CompositeChart.ChartAreas.Add(area)

        'Temp
        Dim axYTemp As New AxisItem()
        axYTemp.Extent = 20
        axYTemp.RangeType = AxisRangeType.Custom
        axYTemp.RangeMin = 35
        axYTemp.RangeMax = 42
        axYTemp.DataType = AxisDataType.Numeric
        axYTemp.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        axYTemp.OrientationType = AxisNumber.Y_Axis
        axYTemp.LineThickness = 1
        ' axYTemp.LogBase = 1
        axYTemp.TickmarkStyle = AxisTickStyle.Smart
        axYTemp.NumericAxisType = NumericAxisType.Logarithmic
        axYTemp.LogBase = 10
        ' axYTemp.LogBase = 1
        area.Axes.Add(axYTemp)


        '호흡Respiration
        Dim axYRespiration As New AxisItem()
        axYRespiration.Extent = 50
        axYRespiration.RangeType = AxisRangeType.Custom
        axYRespiration.RangeMin = 10
        axYRespiration.RangeMax = 45
        axYRespiration.DataType = AxisDataType.Numeric
        axYRespiration.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        axYRespiration.OrientationType = AxisNumber.Y_Axis
        'axYPulse.LogBase = 10
        axYRespiration.LineThickness = 1
        area.Axes.Add(axYRespiration)


        '혈압, 맥박, 복위, 체중
        Dim axisY2 As New AxisItem()
        axisY2.Extent = 50
        axisY2.RangeType = AxisRangeType.Custom
        axisY2.RangeMin = 0
        axisY2.RangeMax = 250
        axisY2.DataType = AxisDataType.Numeric
        axisY2.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        axisY2.OrientationType = AxisNumber.Y2_Axis
        axisY2.LineThickness = 1
        area.Axes.Add(axisY2)


        Dim axisX = New AxisItem()
        axisX.Labels.Orientation = TextOrientation.VerticalLeftFacing
        axisX.DataType = AxisDataType.String
        axisX.Labels.ItemFormat = AxisItemLabelFormat.ItemLabel
        axisX.OrientationType = AxisNumber.X_Axis
        axisX.Labels.VerticalAlign = StringAlignment.Far
        axisX.Labels.Orientation = TextOrientation.Horizontal
        axisX.SetLabelAxisType = SetLabelAxisType.ContinuousData
        axisX.LineThickness = 1
        area.Axes.Add(axisX)

        Dim chtlayerTemp As New ChartLayerAppearance()
        chtlayerTemp.ChartType = ChartType.LineChart
        chtlayerTemp.ChartArea = area

        Dim chtlayerRespiration As New ChartLayerAppearance()
        chtlayerRespiration.ChartType = ChartType.LineChart
        chtlayerRespiration.ChartArea = area

        Dim chtlayerY2 As New ChartLayerAppearance()
        chtlayerY2.ChartType = ChartType.LineChart
        chtlayerY2.ChartArea = area

        ' Get the appearance object for Respiration chart
        Dim lineChartApp As LineChartAppearance = chtlayerRespiration.ChartTypeAppearance

        ' Add values to each point of Respiration chart
        Dim chartTextAppearance As ChartTextAppearance = New ChartTextAppearance()
        chartTextAppearance.Column = -2
        chartTextAppearance.Row = -2
        chartTextAppearance.Visible = True
        chartTextAppearance.VerticalAlign = StringAlignment.Near
        chartTextAppearance.HorizontalAlign = StringAlignment.Near
        chartTextAppearance.ItemFormatString = "<DATA_VALUE:00.##>"
        chartTextAppearance.ChartTextFont = New Font("Arial", 12)
        chartTextAppearance.FontColor = Color.Red
        lineChartApp.ChartText.Add(chartTextAppearance)

        ' Set the icons appearance of Respiration chart
        Dim lineApp As LineAppearance = New LineAppearance()
        lineApp.IconAppearance.Icon = SymbolIcon.Diamond
        lineApp.IconAppearance.IconSize = SymbolIconSize.Large
        lineApp.IconAppearance.PE = New PaintElement(Color.Green)
        lineChartApp.LineAppearances.Add(lineApp)

        seriesTemp = New NumericTimeSeries()
        seriesTemp.Label = "Temp"
        seriesTemp.PEs.Add(New PaintElement(Color.Red))

        seriesRespiration = New NumericTimeSeries()
        seriesRespiration.Label = "Respiration"
        seriesRespiration.PEs.Add(New PaintElement(Color.Blue))

        seriesWeight = New NumericTimeSeries()
        seriesWeight.Label = "Weight"
        seriesWeight.PEs.Add(New PaintElement(Color.Green))

        seriesHeight = New NumericTimeSeries()
        seriesHeight.Label = "Height"
        seriesHeight.PEs.Add(New PaintElement(Color.Black))

        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today, 40.0, DateTime.Today, False))
        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 38.2, DateTime.Today.AddDays(1), False))
        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 40.2, DateTime.Today.AddDays(2), False))

        seriesRespiration.Points.Add(New NumericTimeDataPoint(DateTime.Today, 30, DateTime.Today, False))
        seriesRespiration.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 44, DateTime.Today.AddDays(1), False))
        seriesRespiration.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 15, DateTime.Today.AddDays(2), False))

        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today, 170.0, DateTime.Today, False))
        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 180.0, DateTime.Today.AddDays(1), False))
        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 182.0, DateTime.Today.AddDays(2), False))

        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today, 180.0, DateTime.Today, False))
        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 30.0, DateTime.Today.AddDays(1), False))
        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 20.0, DateTime.Today.AddDays(2), False))

        chtlayerTemp.Series.Add(seriesTemp)
        UltraChart1.CompositeChart.Series.Add(seriesTemp)
        chtlayerTemp.AxisX = axisX
        chtlayerTemp.AxisY = axYTemp
        UltraChart1.CompositeChart.ChartLayers.Add(chtlayerTemp)

        chtlayerRespiration.Series.Add(seriesRespiration)
        UltraChart1.CompositeChart.Series.Add(seriesRespiration)
        chtlayerRespiration.AxisX = axisX
        chtlayerRespiration.AxisY = axYRespiration
        UltraChart1.CompositeChart.ChartLayers.Add(chtlayerRespiration)

        chtlayerY2.Series.Add(seriesWeight)
        UltraChart1.CompositeChart.Series.Add(seriesWeight)
        chtlayerY2.AxisX = axisX
        chtlayerY2.AxisY = axisY2
        UltraChart1.CompositeChart.ChartLayers.Add(chtlayerY2)

        chtlayerY2.Series.Add(seriesHeight)
        UltraChart1.CompositeChart.Series.Add(seriesHeight)
        chtlayerY2.AxisX = axisX
        chtlayerY2.AxisY = axisY2
        UltraChart1.CompositeChart.ChartLayers.Add(chtlayerY2)

    End Sub

    Private Sub UltraButton1_Click(sender As Object, e As EventArgs) Handles UltraButton1.Click
        UltraChart1.Series.Clear()
        UltraChart1.Layer.Clear()
        UltraChart1.CompositeChart.ChartAreas.Clear()

    End Sub

    Private Sub UltraButton2_Click(sender As Object, e As EventArgs) Handles UltraButton2.Click
        BindChart()
    End Sub

    Private Sub UltraChart1_DataItemOver(sender As Object, e As Infragistics.UltraChart.Shared.Events.ChartDataEventArgs) Handles UltraChart1.DataItemOver
        Dim item As NumericTimeDataPoint = e.Primitive.DataPoint
    End Sub
End Class
